Bare Metal Management/Bare Metal Template Related Interfaces
PUTBare Metal Template Related InterfacesSince 3.4.0SynchronousAuth Required
Update Preconfiguration Template
Update Preconfiguration Template
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredUUID of the resource, uniquely identifying the resource
Body Fields
nameStringResource name
descriptionStringDetailed description of the resource
distributionStringApplicable operating system distribution
typeStringTemplate type
contentStringTemplate content
Responses
Endpoint
PUT/zstack/v1/baremetal/preconfigurations/{uuid}/actions
/zstack/v1/baremetal/preconfigurations/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal/preconfigurations/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","distribution":"<distribution>","type":"<type>","content":"<content>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "c583420a47754a768162d7001f32153f", "name": "centos_7_x86_64_mini_v1.cfg", "description": "centos-7-minimal kickstart file", "distribution": "centos-7-x86_64", "type": "kickstart", "content": "...", "md5sum": "abeabe93030f4ec399ae74c72cff8425", "isPredefined": false, "state": "Enabled", "createDate": "Aug 15, 2025 5:37:41 AM", "lastOpDate": "Aug 15, 2025 5:37:41 AM" } }Change History
This API has no change history records yet.
